# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-txamqp
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global with_thrift %{?_with_thrift: 1} %{?!_with_thrift: 0}

%global upstream_name txamqp

Name:           python-module-txamqp
Version:        0.6.1
Release:        alt1_2
Summary:        A Python library for communicating with AMQP peers and brokers using Twisted

Group:          Development/Python
License:        ASL 2.0
URL:            https://launchpad.net/txamqp
Source0:        http://pypi.python.org/packages/source/t/txAMQP/txAMQP-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Requires:       amqp
Source44: import.info

%description
txAMQP is a Python library for communicating with AMQP peers and brokers using
Twisted.

This project contains all the necessary code to connect, send and receive
messages to/from an AMQP-compliant peer or broker (Qpid, OpenAMQ, RabbitMQ)
using Twisted.

%if %{with_thrift}
%package        -n python-module-txamqp-thrift
Summary:        Contributed Thrift libraries for Twisted
Group:          Development/Python


%description    -n python-module-txamqp-thrift
txAMQP also includes support for using Thrift RPC over AMQP in Twisted
applications.
%endif

%prep
%setup -q -n txAMQP-%{version}
# Fix non-executable-script error
sed -i '/^#!\/usr\/bin\/env python/,+1 d' src/txamqp/codec.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Remove thrift if we're not including it
%if !%{with_thrift}
rm -rf %{buildroot}%{python_sitelibdir_noarch}/%{upstream_name}/contrib/thrift
%endif

%files
# Request LICENSE in https://bugs.launchpad.net/txamqp/+bug/605699 (nextrelease)
%dir %{python_sitelibdir_noarch}/%{upstream_name}
%{python_sitelibdir_noarch}/%{upstream_name}/*.py*
%{python_sitelibdir_noarch}/%{upstream_name}/test
%dir %{python_sitelibdir_noarch}/%{upstream_name}/contrib
%{python_sitelibdir_noarch}/%{upstream_name}/contrib/*.py*
%{python_sitelibdir_noarch}/txAMQP-%{version}-*.egg-info

%if %{with_thrift}
%files -n python-module-txamqp-thrift
%{python_sitelibdir_noarch}/%{upstream_name}/contrib/thrift
%endif

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_1
- initial fc import

